Subject: [bug#39136] [PATCH] gnu: services: Add endlessh.

From: Maxim Cournoyer <[email-masked]>
Date: Sat, 02 Sep 2023 14:10:15 -0400

Hello,

[email-masked] writes:

> August 31, 2023 10:37 PM, "Maxim Cournoyer" <[email-masked]> wrote:
>
>> Hello,
>> 
>> Joshua Branson <[email-masked]> writes:
>> 
>>> Oleg Pykhalov <[email-masked]> writes:
>>> 
>>>> Hello,
>>>> 
>>>> I failed to test endlessh with "services: containerized endlessh" patch
>>>> in a virtual machine. Unfortunately at the moment I'm not familiar with
>>>> ‘make-forkexec-constructor/container’ machinery, and have no idea about
>>>> that causing the issue of boot hang. Failed VM config in attachment.
>>>> 
>>>> I succeeded to test without "services: containerized endlessh". If wish
>>>> to fix a problem, ping me then you done. Otherwise I could push a
>>>> working version without containerization.
>>> 
>>> Oh, I suppose that I will try to get containerization working on this
>>> service. I'd prefer to have it containerized, since it is running as
>>> root.
>> 
>> This was 2 years ago :-). Any update?
>
> If you are ok with a non-containerized endlessh, then I can submit a patch 
> adding that.  Endlessh works on guix system, but I was not able to get
> the containerized version working.

If you could make a system test to go with it, that'd be super!  We can
always refine later with regard to containerization.

-- 
Thanks,
Maxim